Index: EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c	(revision 441)
+++ EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c	(revision 442)
@@ -32,4 +32,5 @@
 
 #include "shellif.h"
+#include <getopt.h>
 #include <kernel.h>
 #include <t_syslog.h>
@@ -45,104 +46,6 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
-
-extern ntstdio_t *ntstdio;
+
 extern int ntshell_exit;
-
-/* musl_getopt from msul */
-char *optarg;
-int /*optind=1, opterr=1, */optopt, optpos, optreset=0;
-extern int optind, opterr;
-
-static void ntstdio_write(ntstdio_t *handle, const char *str, int l)
-{
-	for (; *str && l >= 0; l--) {
-		ntstdio_putc(handle, *str++);
-	}
-}
-
-static void __getopt_msg(const char *a, const char *b, const char *c, size_t l)
-{
-	ntstdio_puts(&ntstdio, a);
-	ntstdio_write(&ntstdio, b, ntlibc_strlen(b));
-	ntstdio_write(&ntstdio, c, l);
-	ntstdio_putc(&ntstdio, '\n');
-}
-
-static int musl_getopt(int argc, char * const argv[], const char *optstring)
-{
-	int i;
-	wchar_t c, d;
-	int k, l;
-	char *optchar;
-
-	if (!optind || optreset) {
-		optreset = 0;
-		optpos = 0;
-		optind = 1;
-	}
-
-	if (optind >= argc || !argv[optind])
-		return -1;
-
-	if (argv[optind][0] != '-') {
-		if (optstring[0] == '-') {
-			optarg = argv[optind++];
-			return 1;
-		}
-		return -1;
-	}
-
-	if (!argv[optind][1])
-		return -1;
-
-	if (argv[optind][1] == '-' && !argv[optind][2])
-		return optind++, -1;
-
-	if (!optpos) optpos++;
-	if ((k = mbtowc(&c, argv[optind]+optpos, MB_LEN_MAX)) < 0) {
-		k = 1;
-		c = 0xfffd; /* replacement char */
-	}
-	optchar = argv[optind]+optpos;
-	optopt = c;
-	optpos += k;
-
-	if (!argv[optind][optpos]) {
-		optind++;
-		optpos = 0;
-	}
-
-	if (optstring[0] == '-' || optstring[0] == '+')
-		optstring++;
-
-	i = 0;
-	d = 0;
-	do {
-		l = mbtowc(&d, optstring+i, MB_LEN_MAX);
-		if (l>0) i+=l; else i++;
-	} while (l && d != c);
-
-	if (d != c) {
-		if (optstring[0] != ':' && opterr)
-			__getopt_msg(argv[0], ": unrecognized option: ", optchar, k);
-		return '?';
-	}
-	if (optstring[i] == ':') {
-		if (optstring[i+1] == ':') optarg = 0;
-		else if (optind >= argc) {
-			if (optstring[0] == ':') return ':';
-			if (opterr) __getopt_msg(argv[0],
-				": option requires an argument: ",
-				optchar, k);
-			return '?';
-		}
-		if (optstring[i+1] != ':' || optpos) {
-			optarg = argv[optind++] + optpos;
-			optpos = 0;
-		}
-	}
-	return c;
-}
 
 void put_rc(const char *func, FRESULT rc)
@@ -158,5 +61,5 @@
 		while (*p++);
 	}
-	ntstdio_printf(ntstdio, "%s() =>%u FR_%s\n", func, (UINT)rc, p);
+	printf("%s() =>%u FR_%s\n", func, (UINT)rc, p);
 }
 
@@ -170,5 +73,5 @@
 		while (*p++);
 	}
-	ntstdio_printf(ntstdio, "%s() =>%u %s\n", func, (UINT)rc, p);
+	printf("%s() =>%u %s\n", func, (UINT)rc, p);
 }
 
@@ -177,5 +80,5 @@
 	size_t i, j;
 	if (!s || !*s) return ".";
-	i = ntlibc_strlen(s) - 1;
+	i = strlen(s) - 1;
 	for (j = 0; j <= i; j++) if (s[j] == ':') { s = &s[j + 1]; i -= j; break; }
 	for (; i&&s[i] == '/'; i--) s[i] = 0;
@@ -189,5 +92,5 @@
 	size_t i, j;
 	if (!s || !*s) return ".";
-	i = ntlibc_strlen(s) - 1;
+	i = strlen(s) - 1;
 	for (j = 0; j <= i; j++) if (s[j] == ':') { s = &s[j + 1]; i -= j; break; }
 	for (; s[i] == '/'; i--) if (!i) return (s == _s) ? "/" : _s;
@@ -219,6 +122,6 @@
 	}
 
-	ntlibc_strlcat(path, "\n", sizeof(path));
-	ntstdio_printf(ntstdio, path);
+	strlcat(path, "\n", sizeof(path));
+	printf(path);
 
 	return 0;
@@ -243,5 +146,5 @@
 
 	if (list_option & LS_LONG) {
-		ntstdio_printf(ntstdio, "%c%c%c%c%c %04d/%02d/%02d %02d:%02d:%02d ",
+		printf("%c%c%c%c%c %04d/%02d/%02d %02d:%02d:%02d ",
 			(fno->fattrib & AM_DIR) ? 'd' : '-',
 			(fno->fattrib & AM_RDO) ? 'r' : '-',
@@ -257,16 +160,16 @@
 
 		if (fno->fattrib & AM_DIR) {                    /* It is a directory */
-			ntstdio_printf(ntstdio, "%10s ", " ");
+			printf("%10s ", " ");
 		}
 		else {
-			ntstdio_printf(ntstdio, "%10lu ", fno->fsize);
+			printf("%10lu ", fno->fsize);
 		}
 	}
 
 	if (fno->fattrib & AM_DIR) {                    /* It is a directory */
-		ntstdio_printf(ntstdio, "\x1B[32m%s\x1B[0m\n", fn);
+		printf("\x1B[32m%s\x1B[0m\n", fn);
 	}
 	else {
-		ntstdio_printf(ntstdio, "%s\n", fn);
+		printf("%s\n", fn);
 	}
 }
@@ -287,5 +190,5 @@
 	path_backup = ff_memalloc(LFN_BUF_SIZE);
 	if (path_backup == NULL) {
-		ntstdio_printf(ntstdio, "ff_memalloc err.\n");
+		printf("ff_memalloc err.\n");
 		return;
 	}
@@ -295,5 +198,5 @@
 	lfn = ff_memalloc(LFN_BUF_SIZE);
 	if (lfn == NULL) {
-		ntstdio_printf(ntstdio, "ff_memalloc err.\n");
+		printf("ff_memalloc err.\n");
 		ff_memfree(path_backup);
 		return;
@@ -317,5 +220,5 @@
 			fn = *fno.lfname ? fno.lfname : fno.fname;
 #else
-			fn = fno->fname;
+			fn = fno.fname;
 #endif
 			if ((res = f_getcwd(path_backup, LFN_BUF_SIZE)) != FR_OK) {
@@ -331,9 +234,9 @@
 			}
 
-			ntstdio_printf(ntstdio, "\n%s/%s:\n", path_p, fn);
+			printf("\n%s/%s:\n", path_p, fn);
 
 			print_ls(fn, NULL, list_option);
 
-			ntstdio_printf(ntstdio, "\n");
+			printf("\n");
 
 			if ((res = f_chdrive(path_backup)) != FR_OK) {
@@ -370,5 +273,5 @@
 	BYTE list_option = 0;
 
-	while ((c = musl_getopt(argc, argv, "al")) != -1) {
+	while ((c = getopt(argc, argv, "al")) != -1) {
 		switch (c) {
 		case 'a':
@@ -385,9 +288,9 @@
 
 	if (pattern_p != NULL)
-		ntlibc_strlcpy(default_pattern, pattern_p, sizeof(default_pattern));
+		strlcpy(default_pattern, pattern_p, sizeof(default_pattern));
 	basename_p = basename(pattern_p);
 	dirname_p = dirname(default_pattern);
 	if (((dirname_p[0] == '/') && (basename_p[0] == '/')) ||
-		(!ntlibc_strncmp(dirname_p, ".", ntlibc_strlen(dirname_p)) && !ntlibc_strncmp(basename_p, ".", ntlibc_strlen(basename_p))))
+		(!strncmp(dirname_p, ".", strlen(dirname_p)) && !strncmp(basename_p, ".", strlen(basename_p))))
 	{
 		basename_p = NULL;
@@ -432,5 +335,5 @@
 	lfn = ff_memalloc(LFN_BUF_SIZE);
 	if (lfn == NULL) {
-		ntstdio_printf(ntstdio, "alloc err.\n");
+		printf("alloc err.\n");
 		goto cp_end;
 	}
@@ -442,5 +345,5 @@
 	local_buff = ff_memalloc(64);
 	if (local_buff == NULL) {
-		ntstdio_printf(ntstdio, "alloc err.\n");
+		printf("alloc err.\n");
 		goto cp_end;
 	}
@@ -452,7 +355,7 @@
 	if (res != FR_OK) {
 		if (res == FR_NO_FILE)
-			ntstdio_printf(ntstdio, "src no file.\n");
+			printf("src no file.\n");
 		else
-			ntstdio_printf(ntstdio, "src stat err(%d).\n", res);
+			printf("src stat err(%d).\n", res);
 		goto cp_end;
 	}
@@ -463,5 +366,5 @@
 		res = f_open(&src_fp, src_str_p, (FA_OPEN_EXISTING | FA_READ));
 		if (res != FR_OK) {
-			ntstdio_printf(ntstdio, "src open err(%d).\n", res);
+			printf("src open err(%d).\n", res);
 			goto cp_end;
 		}
@@ -478,17 +381,17 @@
 				dst_mod_str_p = ff_memalloc(LFN_BUF_SIZE);
 				if (dst_mod_str_p == NULL) {
-					ntstdio_printf(ntstdio, "alloc err.\n");
+					printf("alloc err.\n");
 					goto cp_end;
 				}
-				ntstdio_snprintf(dst_mod_str_p, LFN_BUF_SIZE, "%s/%s\0", dst_str_p, src_basename_p);
+				snprintf(dst_mod_str_p, LFN_BUF_SIZE, "%s/%s\0", dst_str_p, src_basename_p);
 				dst_str_p = dst_mod_str_p;
 			}
 			else {
-				ntstdio_printf(ntstdio, "dst file exists.\n");
+				printf("dst file exists.\n");
 				goto cp_end_1;
 			}
 		}
 		else {
-			ntstdio_printf(ntstdio, "src stat err(%d).\n", res);
+			printf("src stat err(%d).\n", res);
 			goto cp_end_1;
 		}
@@ -496,5 +399,5 @@
 	res = f_open(&dst_fp, dst_str_p, (FA_CREATE_NEW | FA_WRITE));
 	if (res != FR_OK) {
-		ntstdio_printf(ntstdio, "dst open err(%d).\n", res);
+		printf("dst open err(%d).\n", res);
 		goto cp_end_1;
 	}
@@ -507,5 +410,5 @@
 		res = f_read(&src_fp, local_buff, sizeof(local_buff), &read_size);
 		if (res != FR_OK) {
-			ntstdio_printf(ntstdio, "src read err(%d).\n", res);
+			printf("src read err(%d).\n", res);
 			goto cp_end_2;
 		}
@@ -514,9 +417,9 @@
 		res = f_write(&dst_fp, local_buff, read_size, &write_size);
 		if (res != FR_OK) {
-			ntstdio_printf(ntstdio, "dst write err(%d).\n", res);
+			printf("dst write err(%d).\n", res);
 			goto cp_end_2;
 		}
 		if (read_size != write_size) {
-			ntstdio_printf(ntstdio, "dst write err(disk full).\n");
+			printf("dst write err(disk full).\n");
 			goto cp_end_2;
 		}
@@ -604,13 +507,13 @@
 	unsigned int op_offset = 0, op_size = 0, op_end = 0;
 
-	while ((op = musl_getopt(argc, argv, "hduos0123456789xX")) != -1) {
+	while ((op = getopt(argc, argv, "hduos0123456789xX")) != -1) {
 		switch (op) {
 		case 'h': /* help */
-			ntstdio_printf(ntstdio, " hexdump [OPTION] file\n");
-			ntstdio_printf(ntstdio, "  -h : help\n");
-			ntstdio_printf(ntstdio, "  -d : print all byte with convert and color [in character area] (default)\n");
-			ntstdio_printf(ntstdio, "  -u : try print UTF-8 code [in character area]\n");
-			ntstdio_printf(ntstdio, "  -oOFFSET : print start offset address from top\n");
-			ntstdio_printf(ntstdio, "  -sSIZE   : print size\n");
+			printf(" hexdump [OPTION] file\n");
+			printf("  -h : help\n");
+			printf("  -d : print all byte with convert and color [in character area] (default)\n");
+			printf("  -u : try print UTF-8 code [in character area]\n");
+			printf("  -oOFFSET : print start offset address from top\n");
+			printf("  -sSIZE   : print size\n");
 			break;
 		case 'd': /* print one byte character [in character area] (default) */
@@ -622,9 +525,9 @@
 		case 'o': /* print start offset address from top */
 			option_ptr = *(argv + optind);
-			op_offset = ntlibc_strtoul(&option_ptr[2], &option_endptr, 0);
+			op_offset = strtoul(&option_ptr[2], &option_endptr, 0);
 			break;
 		case 's': /* print size */
 			option_ptr = *(argv + optind);
-			op_size = ntlibc_strtoul(&option_ptr[2], &option_endptr, 0);
+			op_size = strtoul(&option_ptr[2], &option_endptr, 0);
 			break;
 		default:
@@ -643,5 +546,5 @@
 	/* position adjusting */
 	if (op_offset >= fsrc.fsize) {
-		ntstdio_printf(ntstdio, "error : input offset is bigger than file size(0x%lX).\n", fsrc.fsize);
+		printf("error : input offset is bigger than file size(0x%lX).\n", fsrc.fsize);
 		return 0;
 	}
@@ -656,5 +559,5 @@
 		char *pos = line;
 		int rst = sizeof(line);
-		int len = ntstdio_snprintf(pos, rst, "%08X: ", i);
+		int len = snprintf(pos, rst, "%08X: ", i);
 		pos += len;
 		rst -= len;
@@ -675,7 +578,7 @@
 			unsigned char c = data[j];
 			if (j != 7)
-				len = ntstdio_snprintf(pos, rst, "%02X ", c);
+				len = snprintf(pos, rst, "%02X ", c);
 			else
-				len = ntstdio_snprintf(pos, rst, "%02X-", c);
+				len = snprintf(pos, rst, "%02X-", c);
 			pos += len;
 			rst -= len;
@@ -705,7 +608,7 @@
 								break;
 							if (j + k != 7)
-								len = ntstdio_snprintf(pos, rst, "%02X ", data[j + k]);
+								len = snprintf(pos, rst, "%02X ", data[j + k]);
 							else
-								len = ntstdio_snprintf(pos, rst, "%02X-", data[j + k]);
+								len = snprintf(pos, rst, "%02X-", data[j + k]);
 							pos += len;
 							rst -= len;
@@ -725,5 +628,5 @@
 				apos += len;
 				arst -= len;
-				len = ntstdio_snprintf(apos, arst, "\x1B[%dm%c\x1B[0m", CCOLOR_RESET, ' ');
+				len = snprintf(apos, arst, "\x1B[%dm%c\x1B[0m", CCOLOR_RESET, ' ');
 				utf8_odd_bytes--;
 			}
@@ -745,5 +648,5 @@
 					c = '?';
 				}
-				len = ntstdio_snprintf(apos, arst, "\x1B[%dm%c\x1B[0m", ccolor, c);
+				len = snprintf(apos, arst, "\x1B[%dm%c\x1B[0m", ccolor, c);
 			}
 
@@ -754,16 +657,16 @@
 		for (int j = br; j < 16; j++) {
 			if (j != 7)
-				len = ntstdio_snprintf(pos, rst, "   ");
+				len = snprintf(pos, rst, "   ");
 			else
-				len = ntstdio_snprintf(pos, rst, "  -");
+				len = snprintf(pos, rst, "  -");
 			pos += len;
 			rst -= len;
 		}
 
-		len = ntstdio_snprintf(pos, rst, ": %s\n", ascii);
+		len = snprintf(pos, rst, ": %s\n", ascii);
 		pos += len;
 		rst -= len;
 
-		ntstdio_puts(ntstdio, line);
+		printf(line);
 	}
 
@@ -780,5 +683,5 @@
 	ret = shell_clock_gettime(CLOCK_REALTIME, &tp);
 	if (ret != 0) {
-		ntstdio_printf(ntstdio, "clock_gettime error %d", ret);
+		printf("clock_gettime error %d", ret);
 		return 0;
 	}
@@ -786,13 +689,13 @@
 	memset(buf, 0, sizeof(buf));
 	if (ctime_r(&tp.tv_sec, buf) == NULL) {
-		ntstdio_printf(ntstdio, "ctime_r error");
+		printf("ctime_r error");
 		return 0;
 	}
 
 	/* 改行コードの削除 */
-	ret = ntlibc_strlen(buf);
+	ret = strlen(buf);
 	buf[ret - 1] = '\0';
 
-	ntstdio_printf(ntstdio, "%s .%09ld\n", buf, tp.tv_nsec);
+	printf("%s .%09ld\n", buf, tp.tv_nsec);
 	return 0;
 }
@@ -801,19 +704,19 @@
 {
 	if (argc != 2) {
-		ntstdio_printf(ntstdio, "info sys\n");
-		ntstdio_printf(ntstdio, "info ver\n");
-		return 0;
-	}
-	if (ntlibc_strcmp(argv[1], "sys") == 0) {
-		ntstdio_printf(ntstdio, TARGET_NAME" Monitor\n");
-		return 0;
-	}
-	if (ntlibc_strcmp(argv[1], "ver") == 0) {
+		printf("info sys\n");
+		printf("info ver\n");
+		return 0;
+	}
+	if (strcmp(argv[1], "sys") == 0) {
+		printf(TARGET_NAME" Monitor\n");
+		return 0;
+	}
+	if (strcmp(argv[1], "ver") == 0) {
 		int mj, mn, bd;
 		ntshell_version(&mj, &mn, &bd);
-		ntstdio_printf(ntstdio, "Version %d.%d.%d\n", mj, mn, bd);
-		return 0;
-	}
-	ntstdio_printf(ntstdio, "Unknown sub command found\n");
+		printf("Version %d.%d.%d\n", mj, mn, bd);
+		return 0;
+	}
+	printf("Unknown sub command found\n");
 	return -1;
 }
Index: EcnlProtoTool/trunk/ntshell/src/bits/stdint.h
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/bits/stdint.h	(revision 442)
+++ EcnlProtoTool/trunk/ntshell/src/bits/stdint.h	(revision 442)
@@ -0,0 +1,1 @@
+#include "../musl-1.1.18/include/bits/stdint.h"
Index: EcnlProtoTool/trunk/ntshell/src/fdtable.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/fdtable.c	(revision 441)
+++ EcnlProtoTool/trunk/ntshell/src/fdtable.c	(revision 442)
@@ -36,5 +36,4 @@
  */
 #include "shellif.h"
-#include <stdint.h>
 #include <kernel.h>
 #include <t_syslog.h>
@@ -46,6 +45,4 @@
 #include "fdtable.h"
 #include "kernel_cfg.h"
-#include <string.h>
-#include "util/ntstdio.h"
 #include "hal/serial_api.h"
 
Index: EcnlProtoTool/trunk/ntshell/src/io_stub.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/io_stub.c	(revision 441)
+++ EcnlProtoTool/trunk/ntshell/src/io_stub.c	(revision 442)
@@ -36,5 +36,4 @@
  */
 #include "shellif.h"
-#include <stdint.h>
 #include "ff.h"
 #include <kernel.h>
@@ -42,9 +41,7 @@
 #include <t_stdlib.h>
 #include <sil.h>
-#include <string.h>
 #include "syssvc/serial.h"
 #include "syssvc/syslog.h"
 #include "fdtable.h"
-#include "util/ntstdio.h"
 #include "usrcmd.h"
 #include "core/ntlibc.h"
@@ -305,10 +302,10 @@
 	fi.lfsize = sizeof lfn;
 #endif
-	if (ntlibc_strcmp(path, ".") == 0) {
+	if (strcmp(path, ".") == 0) {
 		char cwd[FF_MAX_LFN];
 		if ((ret = f_getcwd(cwd, sizeof(cwd))) != FR_OK) {
 			return fresult2errno(ret);
 		}
-		int l = ntlibc_strlen(cwd);
+		int l = strlen(cwd);
 		// ルートディレクトリの場合
 		if (cwd[l - 2] == ':' && cwd[l - 1] == '/') {
@@ -485,7 +482,7 @@
 	memset(de, 0, sizeof(*de));
 #if FF_USE_LFN
-	ntlibc_strlcpy(de->d_name, *fno.lfname ? fno.lfname : fno.fname, sizeof(de->d_name));
+	strlcpy(de->d_name, *fno.lfname ? fno.lfname : fno.fname, sizeof(de->d_name));
 #else
-	ntlibc_strlcpy(de->d_name, fno.fname, sizeof(de->d_name));
+	strlcpy(de->d_name, fno.fname, sizeof(de->d_name));
 #endif
 
@@ -559,5 +556,5 @@
 pid_t shell_getpid(void)
 {
-	return 1;
+	return 2;
 }
 
Index: EcnlProtoTool/trunk/ntshell/src/main.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/main.c	(revision 441)
+++ EcnlProtoTool/trunk/ntshell/src/main.c	(revision 442)
@@ -40,5 +40,4 @@
  */
 
-#include "shellif.h"
 #include <kernel.h>
 #include <t_stdlib.h>
@@ -51,4 +50,5 @@
 #include "kernel_cfg.h"
 #include "main.h"
+#include "mbed_retarget.h"
 #include "fdtable.h"
 #ifndef NTSHELL_NO_SOCKET
@@ -69,5 +69,4 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -79,23 +78,8 @@
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
 ID ws_mempoolid = MPF_NET_BUF_256;
-extern ntstdio_t *ntstdio;
 
 char command[NTOPT_TEXT_MAXLEN];
 
 const uint8_t mac_addr[6] = {0x12, 0x34, 0x56, 0x78, 0x9A, 0xBC};
-const struct utsname host_name = {
-	"TOPPERS/ASP3",
-	TARGET_NAME,
-	"3.5.0",
-	"3.5.0",
-	TARGET_NAME,
-	"toppers.jp"
-};
-
-int shell_uname(struct utsname *uts)
-{
-	memcpy(uts, &host_name, sizeof(host_name));
-	return 0;
-}
 
 enum main_state_t {
@@ -220,5 +204,5 @@
 {
 	if (text != NULL) {
-		ntlibc_strlcpy(command, text, sizeof(command));
+		strlcpy(command, text, sizeof(command));
 	}
 	ER ret;
@@ -552,10 +536,9 @@
 		return result;
 
-	if (ntlibc_strcmp((const char *)args[1], "help") == 0) {
-		found = 1;
+	if (strcmp((const char *)args[1], "help") == 0) {
 		result = usrcmd_help(args[0], (char **)&args[1]);
 	}
 	else for (int i = 0; i < cmd_table_info.count; i++) {
-		if (ntlibc_strcmp((const char *)args[1], p->cmd) == 0) {
+		if (strcmp((const char *)args[1], p->cmd) == 0) {
 			found = 1;
 			result = p->func(args[0], (char **)&args[1]);
@@ -571,5 +554,5 @@
 
 	if ((found == 0) && (((const char *)args[1])[0] != '\0'))
-		ntstdio_printf(ntstdio, "Unknown command found. %s \n", (const char *)args[1]);
+		printf("Unknown command found. %s \n", (const char *)args[1]);
 
 	return result;
@@ -580,8 +563,7 @@
 	const cmd_table_t *p = cmd_table_info.table;
 	for (int i = 0; i < cmd_table_info.count; i++) {
-		ntstdio_puts(ntstdio, p->cmd);
-		ntstdio_puts(ntstdio, "\t:");
-		ntstdio_puts(ntstdio, p->desc);
-		ntstdio_puts(ntstdio, "\n");
+		printf(p->cmd);
+		printf("\t:");
+		puts(p->desc);
 		p++;
 	}
@@ -599,22 +581,4 @@
 	/* shellcmdタスクの優先度に戻す */
 	chg_pri(SHELLCMD_PRIORITY, SHELLCMD_PRIORITY);
-}
-
-void shell_abort()
-{
-	shellcmd_exit_code = -1;
-	longjmp(shellcmd_exit, 1);
-}
-
-void shell_exit(int exitcd)
-{
-	shellcmd_exit_code = exitcd;
-	longjmp(shellcmd_exit, 1);
-}
-
-void shell_exit_group(int exitcd)
-{
-	shellcmd_exit_code = exitcd;
-	longjmp(shellcmd_exit, 1);
 }
 
@@ -679,249 +643,2 @@
 }
 
-int shell_clock_getres(clockid_t clk_id, struct timespec *res)
-{
-	if ((clk_id != CLOCK_REALTIME) && (clk_id != CLOCK_MONOTONIC))
-		return -EINVAL;
-
-	memset(&res->tv_sec, 0xFF, sizeof(res->tv_sec));
-	res->tv_nsec = 0;
-
-	return 0;
-}
-
-int shell_clock_gettime(clockid_t clk_id, struct timespec *tp)
-{
-	SYSTIM now = 0;
-
-	if ((clk_id != CLOCK_REALTIME) && (clk_id != CLOCK_MONOTONIC))
-		return -EINVAL;
-
-	get_tim(&now);
-	tp->tv_sec = now / 1000000;
-	tp->tv_nsec = (now % 1000000) * 1000;
-
-	return 0;
-}
-
-int shell_clock_settime(clockid_t clk_id, const struct timespec *tp)
-{
-	if ((clk_id != CLOCK_REALTIME) && (clk_id != CLOCK_MONOTONIC))
-		return -EINVAL;
-
-	SYSTIM time;
-	ER ret;
-
-	time = (tp->tv_sec * 1000000ll) + (tp->tv_nsec / 1000ll);
-
-	ret = set_tim(time);
-	if (ret != E_OK) {
-		return -EPERM;
-	}
-
-	return 0;
-}
-
-sigset_t g_sigmask;
-
-int shell_sigprocmask(int how, const sigset_t *restrict set, sigset_t *restrict old)
-{
-	if (old != NULL)
-		memcpy(old, &g_sigmask, sizeof(sigset_t));
-
-	switch (how) {
-	case SIG_BLOCK:
-		for (int i = 0; i < sizeof(g_sigmask.__bits) / sizeof(g_sigmask.__bits[0]); i++) {
-			g_sigmask.__bits[i] |= set->__bits[i];
-		}
-		break;
-	case SIG_UNBLOCK:
-		for (int i = 0; i < sizeof(g_sigmask.__bits) / sizeof(g_sigmask.__bits[0]); i++) {
-			g_sigmask.__bits[i] &= ~set->__bits[i];
-		}
-		break;
-	case SIG_SETMASK:
-		memcpy(&g_sigmask, set, sizeof(sigset_t));
-		break;
-	default:
-		return -EINVAL;
-	}
-
-	return 0;
-}
-
-// musl-1.1.18\src\internal\ksigaction.h
-struct k_sigaction {
-	void(*handler)(int);
-	unsigned long flags;
-	void(*restorer)(void);
-	unsigned mask[2];
-};
-
-struct k_sigaction sigtable[7];
-
-int shell_sigaction(int sig, const struct k_sigaction *restrict sa,
-	struct k_sigaction *restrict old, size_t size)
-{
-	struct k_sigaction *sat;
-
-	switch(sig){
-	case SIGALRM:
-		sat = &sigtable[0];
-		break;
-	case SIGFPE:
-		sat = &sigtable[1];
-		break;
-	case SIGILL:
-		sat = &sigtable[2];
-		break;
-	case SIGSEGV:
-		sat = &sigtable[3];
-		break;
-	case SIGBUS:
-		sat = &sigtable[4];
-		break;
-	case SIGABRT:
-		sat = &sigtable[5];
-		break;
-	case SIGPIPE:
-		sat = &sigtable[6];
-		break;
-	default:
-		return -EINVAL;
-	}
-
-	if (old != NULL)
-		memcpy(old, sat, offsetof(struct k_sigaction, mask) + size);
-
-	memcpy(sat, sa, offsetof(struct k_sigaction, mask) + size);
-
-	return 0;
-}
-
-int shell_madvise(void *a, size_t b, int c)
-{
-	return 0;
-}
-
-int shell_gettid()
-{
-	ID tskid;
-	ER ret;
-
-	ret = get_tid(&tskid);
-	if (ret != E_OK)
-		return -1;
-
-	return tskid;
-}
-
-int shell_tkill(int tid, int sig)
-{
-	if ((tid == SHELLCMD_TASK) && (sig == SIGABRT)) {
-		shell_abort();
-	}
-
-	no_implement("tkill");
-	return -1;
-}
-
-int shell_kill(int pid, int sig)
-{
-	DebugBreak();
-	return -1;
-}
-
-int shell_gettimeofday(struct timeval *tv, void *tzvp)
-{
-	SYSTIM time;
-	if (!tv) return 0;
-	get_tim(&time);
-	tv->tv_sec = time / 1000000;
-	tv->tv_usec = time - (tv->tv_sec * 1000000);
-	return 0;
-}
-
-int shell_nanosleep(const struct timespec *req, struct timespec *rem)
-{
-	ER ret;
-	TMO tmo;
-	SYSTIM prev, now, diff;
-
-	if ((req == NULL) || (req->tv_nsec < 0) || (req->tv_nsec >= 1000000000))
-		return -EINVAL;
-
-	get_tim(&prev);
-
-	tmo = req->tv_sec * 1000000 + req->tv_nsec / 1000;
-	ret = tslp_tsk(tmo);
-	if (ret == E_OK) {
-		if (rem != NULL) {
-			get_tim(&now);
-			diff = now - prev;
-			rem->tv_sec = diff / 1000000ll;
-			rem->tv_nsec = (diff - (rem->tv_sec * 1000000ll)) * 1000ll;
-		}
-		return 0;
-	}
-	else if (ret == E_TMOUT) {
-		if (rem != NULL) {
-			rem->tv_sec = 0;
-			rem->tv_nsec = 0;
-		}
-		return 0;
-	}
-
-	return -EFAULT;
-}
-
-ssize_t shell_getrandom(void *buf, size_t buflen, unsigned int flags)
-{
-	SYSTIM now;
-	int32_t i;
-	int *output = (int *)buf;
-	size_t sz = buflen / 4;
-
-	get_tim(&now);
-	srand(now);
-
-	for (i = 0; i < sz; i++)
-		output[i] = rand();
-
-	for (i = 4 * sz; i < buflen; i++)
-		((char *)buf)[i] = rand();
-
-	return buflen;
-}
-
-extern uint32_t  __CmdBase;
-extern uint32_t  __CmdLimit;
-
-void *shell_brk(void *addr)
-{
-	if (addr == 0) {
-		return (void *)((intptr_t)&__CmdBase + 0x40000);
-	}
-	if ((addr >= (intptr_t)&__CmdBase + 0x40000) && (addr < &__CmdLimit)) {
-		return addr;
-	}
-	return (void *)-1;
-}
-
-void *shell_mmap2(void *start, size_t length, int prot, int flags, int fd, off_t pgoffset)
-{
-	if (fd != -1)
-		return -EINVAL;
-
-	if ((length >= 0) && (length <= (intptr_t)&__CmdLimit - ((intptr_t)&__CmdBase + 0x40000))) {
-		return &__CmdBase + 0x40000;
-	}
-	return (void *)-1;
-}
-
-int shell_mprotect(void *addr, size_t len, int prot)
-{
-	//if ((addr >= (intptr_t)&__CmdBase + 0x40000) && ((intptr_t)addr + len < &__CmdLimit)) {
-		return 0;
-	//}
-	//return -1;
-}
